> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Webhook Endpoint

> Delete an existing webhook endpoint



## OpenAPI

````yaml DELETE /endpoint/{endpoint_id}
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /endpoint/{endpoint_id}:
    delete:
      tags:
        - Webhook
      summary: Delete webhook endpoint
      description: Delete an existing webhook endpoint
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
          description: Webhook endpoint ID to delete
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: Response code
                    example: 0
                  msg:
                    type: string
                    description: Response message
                    example: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````